// Archivo: tarjeta.cpp
#include "tarjeta.hpp"
#include <iostream>
#include<locale.h>
#include <windows.h>
using namespace std;

//Métodos Públicos
// Definición del constructor por defecto e inicilización de miembros
Tarjeta::Tarjeta() : Venta()
{
	this->venta = 0;
	this->cuotas = 0;

}
// Definición del constructor específico
Tarjeta::Tarjeta(int ced, string nom, int cel, string ciu, int ed, string act, string tiv, int ven, int cuo) : Venta(ced, nom, cel, ciu, ed, act, tiv)
{
	this->venta = ven;
	this->cuotas = cuo;

}
// Definición del método de carga específico
void Tarjeta::gettarjeta(int ced, string nom, int cel, string ciu, int ed, string act, string tiv, int ven, int cuo)
{
	this->venta = ven;
	this->cuotas = cuo;

}
// Definición del destructor por defecto
Tarjeta::~Tarjeta()
{
}
void Tarjeta::settarjeta()
{
	cout << endl;
	cout << "\n\t      REPORTE  DE  LA  MODALIDAD  DE  VENTA  TARJETA      ";
	cout << "\n\t----------------------------------------------------------";
	cout << "\n\tValor de venta: " << venta << "\t\tNúmero de cuotas: " << cuotas;
	Sleep(200);
	cout << "\n\t----------------------------------------------------------";
}
// final del archivo tarjeta.cpp
